Package: grails.doc.filters

## [Groovy] Class LinkTestFilter

- grails.doc.filters.LinkTestFilter

- Authors:
    Graeme Rocher
  Since:
    1.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.radeox.filter.regex.RegexTokenFilter` | `SINGLELINE, MULTILINE`
    `class org.radeox.filter.regex.RegexFilter` | `SINGLELINE, MULTILINE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LinkTestFilter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getWikiView(java.lang.String name)` Returns the view of the wiki name that is shown to the user.
    `` | `void` | `handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.radeox.filter.regex.RegexTokenFilter` | `org.radeox.filter.regex.RegexTokenFilter#handleMatch(java.lang.StringBuffer, org.radeox.regex.MatchResult, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.RegexTokenFilter#clearRegex(), org.radeox.filter.regex.RegexTokenFilter#getDescription(), org.radeox.filter.regex.RegexTokenFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.RegexTokenFilter#replaces(), org.radeox.filter.regex.RegexTokenFilter#before(), org.radeox.filter.regex.RegexTokenFilter#wait(long, int), org.radeox.filter.regex.RegexTokenFilter#wait(long), org.radeox.filter.regex.RegexTokenFilter#wait(), org.radeox.filter.regex.RegexTokenFilter#equals(java.lang.Object), org.radeox.filter.regex.RegexTokenFilter#toString(), org.radeox.filter.regex.RegexTokenFilter#hashCode(), org.radeox.filter.regex.RegexTokenFilter#getClass(), org.radeox.filter.regex.RegexTokenFilter#notify(), org.radeox.filter.regex.RegexTokenFilter#notifyAll()`
    `class org.radeox.filter.regex.RegexFilter` | `org.radeox.filter.regex.RegexFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.RegexFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.RegexFilter#clearRegex(), org.radeox.filter.regex.RegexFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexFilter#getDescription(), org.radeox.filter.regex.RegexFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.RegexFilter#replaces(), org.radeox.filter.regex.RegexFilter#before(), org.radeox.filter.regex.RegexFilter#wait(long, int), org.radeox.filter.regex.RegexFilter#wait(long), org.radeox.filter.regex.RegexFilter#wait(), org.radeox.filter.regex.RegexFilter#equals(java.lang.Object), org.radeox.filter.regex.RegexFilter#toString(), org.radeox.filter.regex.RegexFilter#hashCode(), org.radeox.filter.regex.RegexFilter#getClass(), org.radeox.filter.regex.RegexFilter#notify(), org.radeox.filter.regex.RegexFilter#notifyAll()`

- - ### Constructor Detail

    - #### LinkTestFilter()

  - ### Method Detail

    - #### protected java.lang.String getWikiView(java.lang.String name)

      Returns the view of the wiki name that is shown to the user. Overwrite to support other views for example transform "WikiLinking" to "Wiki Linking". Does nothing by default.

      Returns:
        view The view of the wiki name

    - #### void handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)